Send Text
curl --request POST \
--url https://api.zapkey.io/message/sendText/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"textMessage": {
"text": "<string>"
},
"options": {
"delay": 123,
"linkPreview": true,
"quoted": {
"key": {
"remoteJid": "<string>",
"fromMe": true,
"id": "<string>",
"participant": "<string>"
},
"message": {
"conversation": "<string>"
}
},
"mentions": {
"everyOne": true,
"mentioned": [
"<string>"
]
}
}
}
'import requests
url = "https://api.zapkey.io/message/sendText/{instance}"
payload = {
"number": "<string>",
"textMessage": { "text": "<string>" },
"options": {
"delay": 123,
"linkPreview": True,
"quoted": {
"key": {
"remoteJid": "<string>",
"fromMe": True,
"id": "<string>",
"participant": "<string>"
},
"message": { "conversation": "<string>" }
},
"mentions": {
"everyOne": True,
"mentioned": ["<string>"]
}
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
textMessage: {text: '<string>'},
options: {
delay: 123,
linkPreview: true,
quoted: {
key: {remoteJid: '<string>', fromMe: true, id: '<string>', participant: '<string>'},
message: {conversation: '<string>'}
},
mentions: {everyOne: true, mentioned: ['<string>']}
}
})
};
fetch('https://api.zapkey.io/message/sendText/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE594145F4C59B4"
},
"message": {
"extendedTextMessage": {
"text": "Olá!"
}
},
"messageTimestamp": "1717689097",
"status": "PENDING"
}Enviar Mensagens
Send Plain Text
Send plain text message
POST
/
message
/
sendText
/
{instance}
Send Text
Authorizations
Your authorization key header
Path Parameters
ID of the instance to connect
Body
application/json